---

install:
  docker: False
  libvirt:
    qemu_full: False

postgresql_databases:
  - name: monadic
    port: 5432
postgresql_users:
  - name: postgres
postgresql_packages:
  - postgresql
  - pgvector
postgresql_version: "15"
postgresql_data_dir: "/var/lib/postgres/data"
postgresql_bin_path: "/usr/sbin"
postgresql_config_path: "/var/lib/postgres/data"
postgresql_daemon: "postgresql"
# Host based authentication (hba) entries to be added to the pg_hba.conf. This
# variable's defaults reflect the defaults that come with a fresh installation.
postgresql_hba_entries:
  - {type: local, database: all, user: postgres, auth_method: peer}
  - {type: local, database: all, user: all, auth_method: peer}
  - {type: host, database: all, user: all, address: '127.0.0.1/32', auth_method: "{{ postgresql_auth_method }}"}
  - {type: host, database: all, user: all, address: '::1/128', auth_method: "{{ postgresql_auth_method }}"}
  - {type: host, database: all, user: all, address: '192.168.41.0/24', auth_method: 'trust'}
